店舗一覧取得
GET
/stores
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/stores?selforder=none&direct_checkout=none&status=all&limit=10&sort=id&page=1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/stores?selforder=none&direct_checkout=none&status=all&limit=10&sort=id&page=1' \ --header 'Authorization: Bearer <token>'店舗一覧を取得します
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”deprecated
string
[フィルタ]セルフオーダー利用
none: 条件なしenabled: 有効なものdisabled: 無効なもの
※ セルフオーダー機能は廃止されているため、本パラメータの指定は避けてください。
Example
nonedirect_checkout
string
[フィルタ]ダイレクトチェックアウト利用
none: 条件なしenabled: 有効なものdisabled: 無効なもの
Example
nonestatus
string
[フィルタ]店舗ステータス
all: 全てactive: 稼働中(休止でない)suspend: 休止中
Example
alllimit
integer
取得件数
Example
10sort
string
ソート
id: 店舗ID
Example
idpage
integer
ページ番号
Example
1Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
Store店舗情報
- ストアの基本情報
object
id
required
店舗ID
string
name
店舗名
string
startOfDay
切替時刻[hh:mm:ss]
string
tablesCount
テーブル数
integer
suspend
休止日時[YYYY-MM-DDThh:mm:ssTZD]
string
created
店舗作成日時[YYYY-MM-DDThh:mm:ssTZD]
string
posStoreId
スマレジ・POSの店舗ID
※ウェイター管理画面ver.2.32.0未満から利用されているスタンダードプランの契約では、店舗のスマレジ・POS連携が有効化されていない場合にnullが格納されます。
管理画面から有効化された契約、ver.2.32.0以降に作成された契約、スタンダードプラン以外の契約では店舗のスマレジ・POS連携は常に有効化されており、無効化することは出来ません。
string
Examples
Exampleレスポンス例
[ { "id": "1", "name": "テスト店舗", "startOfDay": "10:00:00", "tablesCount": 35, "suspend": "2019-03-03T09:34:45+09:00", "created": "2018-11-10T17:24:12+09:00", "posStoreId": "5" }, { "id": "2", "name": "テストカフェ", "startOfDay": "11:30:00", "tablesCount": 5, "suspend": null, "created": "2018-12-11T12:56:43+09:00", "posStoreId": "7" }]Headers
Section titled “Headers”Link
string
<前のURI>; rel="prev", <次のURI>; rel="next"